Summary: A configuration reading and writing library
Name: keeper
Version: 1.0
Release: 1
Copyright: LGPL
Group: Development/Libraries
Source: http://www.inf.bme.hu/~mszeredi/keeper/keeper-1.0.tar.gz
URL: http://www.inf.bme.hu/~mszeredi/keeper
Packager: Miklos Szeredi <mszeredi@inf.bme.hu>
BuildRoot: /tmp/keeper
Prefix: /usr

%description
The keeper library gives an extremely simple interface for reading and
writing configuration data. Data is stored in multiple text files, in
a hierarchical system. This package also contains a command-line tool
for examining and modifying the keeper database.

%package -n gkeeper
Summary: A graphical tool for viewing and manipulating the keeper database
Group: X11/Applications

%description -n gkeeper
Gkeeper is a GTK based front-end for the keeper database. Gkeeper lets
you view, edit, create or delete entries in the database. The source
of gkeeper contains a good example, on how to store and retrieve the
menu accelerators using the keeper interface.

%prep
%setup

%build
./configure --prefix=/usr
make

%install
rm -rf "$RPM_BUILD_ROOT"
make install_root="$RPM_BUILD_ROOT" install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc ChangeLog README COPYING example/example.c
/usr/lib/libkeeper.a
/usr/include/keeper.h
/usr/bin/kptool
/usr/man/man1/kptool.1
/usr/man/man3/keeper.3
/usr/man/man3/kp_base.3
/usr/man/man3/kp_utils.3

%files -n gkeeper
/usr/bin/gkeeper
